package com.gyee.frame.service;

import com.gyee.frame.common.base.BaseService;
import com.gyee.frame.common.support.Convert;
import com.gyee.frame.mapper.auto.CompanysMapper;
import com.gyee.frame.model.auto.Companys;
import com.gyee.frame.model.auto.CompanysExample;
import com.gyee.frame.util.SnowflakeIdWorker;
import com.gyee.frame.util.StringUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;


@Service
public class CompanysService implements BaseService<Companys, CompanysExample> {
    @Resource
    private CompanysMapper companysMapper;


    @Override
    public int deleteByPrimaryKey(String ids) {

        List<String> lista = Convert.toListStrArray(ids);
        CompanysExample example = new CompanysExample();
        example.createCriteria().andIdIn(lista);
        return companysMapper.deleteByExample(example);


    }


    @Override
    public Companys selectByPrimaryKey(String id) {

        return companysMapper.selectByPrimaryKey(id);

    }


    @Override
    public int updateByPrimaryKeySelective(Companys record) {
        return companysMapper.updateByPrimaryKeySelective(record);
    }


    /**
     * 添加
     */
    @Override
    public int insertSelective(Companys record) {

        //添加雪花主键id
        record.setId(SnowflakeIdWorker.getUUID());


        return companysMapper.insertSelective(record);
    }


    @Override
    public int updateByExampleSelective(Companys record, CompanysExample example) {

        return companysMapper.updateByExampleSelective(record, example);
    }


    @Override
    public int updateByExample(Companys record, CompanysExample example) {

        return companysMapper.updateByExample(record, example);
    }

    @Override
    public List<Companys> selectByExample(CompanysExample example) {

        return companysMapper.selectByExample(example);
    }


    @Override
    public long countByExample(CompanysExample example) {

        return companysMapper.countByExample(example);
    }


    @Override
    public int deleteByExample(CompanysExample example) {

        return companysMapper.deleteByExample(example);
    }


    public  List<Companys> findAllList() {

        CompanysExample example = new CompanysExample();

        List<Companys> vos = companysMapper.selectByExample(example);


        return vos;

    }

    public List<Companys> getCompanysListByRId(String rId) {

        List<Companys> list=new ArrayList<>();

        if (StringUtils.notEmp(rId) ) {

            CompanysExample example=new CompanysExample();
            example.setOrderByClause("id ");

            CompanysExample.Criteria criteria =example.createCriteria();

            criteria.andRidEqualTo(rId);

            list= companysMapper.selectByExample(example);

        }
        return list;

    }

}
